> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Data Recipient

> Use the /api/v1/recipients/{client_id} endpoint to update the redirect URLs for a particular Data Recipient.

Use the `/api/v1/recipients/{client_id}` endpoint to update the redirect URLs for a particular Data Recipient.

This endpoint replaces any existing redirect URLs with the new ones that you pass. It does not append the new URLs to the old ones.

To successfully call this endpoint, you must first call the [/Token](/api/outbound/endpoints/authorize/token) endpoint to obtain a valid `access_token` using the following settings:

* grant\_type: `client_credentials`
* client\_id: `{partner client_id}`
* client\_secret: `{partner client_secret}`
* scope: `client:admin`


## OpenAPI

````yaml /openapi-outbound.yaml PUT /api/v1/recipients/{client_id}
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://ob.flinksapp.com
    description: Flinks Outbound Production
security:
  - BearerAuth: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
paths:
  /api/v1/recipients/{client_id}:
    put:
      tags:
        - Outbound
      summary: Update a Data Recipient
      description: >-
        Use the /api/v1/recipients/{client_id} endpoint to update the redirect
        URLs for a particular Data Recipient.
      operationId: updateDataRecipient
      parameters:
        - name: client_id
          in: path
          required: true
          description: The id for the Data Recipient you want to update.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                redirect_uris:
                  type: string
                  description: >-
                    The new redirect URLs that you want to use. We will replace
                    the existing redirect URLs with the new ones that you pass.
              example: {}
      responses:
        '200':
          description: Result
          content:
            application/json:
              schema:
                type: object
                properties:
                  scope:
                    type: string
                  redirect_uris:
                    type: array
                    items:
                      type: string
                  client_id:
                    type: string
                  name:
                    type: string
                  logo_uri:
                    type: string
                  description:
                    type: string
                  terms_uri:
                    type: string
                  client_uri:
                    type: string
                  country:
                    type: string
                  contacts:
                    type: array
                    items:
                      type: object
                      properties:
                        email:
                          type: array
                          items:
                            type: string
              example:
                scope: >-
                  ACCOUNT_BASIC ACCOUNT_DETAILED ACCOUNT_PAYMENTS INVESTMENTS
                  TRANSACTIONS STATEMENTS CUSTOMER_CONTACT CUSTOMER_PERSONAL
                redirect_uris:
                  - https://flinks.fake.com/callback
                  - https://flinks.fake.com/callback2
                client_id: dc-xxxxxxxxxxxxxxxxxxxxxxxxx
                name: Flinks Fake
                logo_uri: https://flinks.fake.com/logo.png
                description: Description of Flinks Fake
                terms_uri: https://flinks.fake.com/callback/terms.html
                client_uri: https://flinks.fake.com/
                country: CA
                contacts:
                  - email: john.doe@flinks.fake.com
        '400':
          description: Client Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: The recipient "dc-xyz" doesn't exists
        '401':
          description: Unauthorized - Expired or invalid token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Invalid Bearer Token
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Internal Server Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer token obtained from the /Token endpoint.

````